summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2007-10-09 09:23:15 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2007-10-09 09:23:15 +0000
commit211c989efff7608c868cc33a6cd5787d897f4281 (patch)
treedc01da3125725c2bd8919b582692284471384b0a /app-backup/amanda
parentDrop old ebuilds. (diff)
downloadgentoo-2-211c989efff7608c868cc33a6cd5787d897f4281.tar.gz
gentoo-2-211c989efff7608c868cc33a6cd5787d897f4281.tar.bz2
gentoo-2-211c989efff7608c868cc33a6cd5787d897f4281.zip
Fix quoting in all ebuilds.
(Portage version: 2.1.3.12)
Diffstat (limited to 'app-backup/amanda')
-rw-r--r--app-backup/amanda/ChangeLog9
-rw-r--r--app-backup/amanda/amanda-2.4.5.ebuild84
-rw-r--r--app-backup/amanda/amanda-2.4.5_p1.ebuild82
-rw-r--r--app-backup/amanda/amanda-2.5.1_p3-r1.ebuild82
-rw-r--r--app-backup/amanda/amanda-2.5.1_p3-r2.ebuild86
-rw-r--r--app-backup/amanda/amanda-2.5.1_p3-r4.ebuild94
-rw-r--r--app-backup/amanda/amanda-2.5.2_p1-r1.ebuild98
-rw-r--r--app-backup/amanda/amanda-2.5.2_p1-r2.ebuild98
-rw-r--r--app-backup/amanda/amanda-2.5.2_p1-r3.ebuild98
-rw-r--r--app-backup/amanda/amanda-2.5.2_p1.ebuild96
10 files changed, 427 insertions, 400 deletions
diff --git a/app-backup/amanda/ChangeLog b/app-backup/amanda/ChangeLog
index c49168e9c9d3..22ffcafaa5e7 100644
--- a/app-backup/amanda/ChangeLog
+++ b/app-backup/amanda/ChangeLog
@@ -1,6 +1,13 @@
# ChangeLog for app-backup/amanda
# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/ChangeLog,v 1.32 2007/09/06 20:35:34 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/ChangeLog,v 1.33 2007/10/09 09:23:15 robbat2 Exp $
+
+ 09 Oct 2007; Robin H. Johnson <robbat2@gentoo.org> amanda-2.4.5.ebuild,
+ amanda-2.4.5_p1.ebuild, amanda-2.5.1_p3-r1.ebuild,
+ amanda-2.5.1_p3-r2.ebuild, amanda-2.5.1_p3-r4.ebuild,
+ amanda-2.5.2_p1.ebuild, amanda-2.5.2_p1-r1.ebuild,
+ amanda-2.5.2_p1-r2.ebuild, amanda-2.5.2_p1-r3.ebuild:
+ Fix quoting in all ebuilds.
*amanda-2.5.2_p1-r3 (06 Sep 2007)
diff --git a/app-backup/amanda/amanda-2.4.5.ebuild b/app-backup/amanda/amanda-2.4.5.ebuild
index 3671c9413f07..21820723247c 100644
--- a/app-backup/amanda/amanda-2.4.5.ebuild
+++ b/app-backup/amanda/amanda-2.4.5.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.4.5.ebuild,v 1.12 2007/07/15 04:23:35 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.4.5.ebuild,v 1.13 2007/10/09 09:23:15 robbat2 Exp $
inherit eutils
@@ -103,10 +103,10 @@ pkg_setup() {
src_unpack() {
unpack "${A}"
# Fix glitch with recognizing tar-1.14.90
- EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/patch-tar-1.14.90 || die "Failed to add tar support patch"
- epatch ${FILESDIR}/${P}-4tb-holding-disk.patch || die "Failed to patch for 4TB holding disks"
- EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${P}-samba-printf.patch || die "Failed to patch samba printf bug"
- EPATCH_OPTS="-p1 -d ${S}" epatch ${FILESDIR}/${P}-amverify-loop-detect.patch || die "Failed to patch amverify loop bug"
+ EPATCH_OPTS="-p1 -d ${S}" epatch "${FILESDIR}"/patch-tar-1.14.90 || die "Failed to add tar support patch"
+ epatch "${FILESDIR}"/${P}-4tb-holding-disk.patch || die "Failed to patch for 4TB holding disks"
+ EPATCH_OPTS="-p1 -d ${S}" epatch "${FILESDIR}"/${P}-samba-printf.patch || die "Failed to patch samba printf bug"
+ EPATCH_OPTS="-p1 -d ${S}" epatch "${FILESDIR}"/${P}-amverify-loop-detect.patch || die "Failed to patch amverify loop bug"
# now the real fun
amanda_variable_setup
# places for us to work in
@@ -122,7 +122,7 @@ src_compile() {
[ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) should exist!"
source "${TMPENVFILE}"
local myconf
- cd ${S}
+ cd "${S}"
einfo "Using '${AMANDA_DBMODE}' style database"
myconf="${myconf} --with-db=${AMANDA_DBMODE}"
@@ -193,11 +193,11 @@ src_install() {
source ${TMPENVFILE}
einfo "Doing stock install"
- make DESTDIR=${D} install || die
+ emake -j1 DESTDIR="${D}" install || die
# Prepare our custom files
einfo "Building custom configuration files"
- cp ${FILESDIR}/amanda-* ${MYFILESDIR}
+ cp "${FILESDIR}"/amanda-* "${MYFILESDIR}"
local i # our iterator
local sedexpr # var for sed expr
sedexpr=''
@@ -211,19 +211,21 @@ src_install() {
# now apply the sed expr
for i in "${FILESDIR}"/amanda-* ; do
local filename
- filename=`basename ${i}`
+ filename="`basename ${i}`"
#einfo "Applying compiled SED expression to ${filename}"
- sed -re "${sedexpr}" <${i} >"${MYFILESDIR}/${filename}"
+ sed -re "${sedexpr}" <"${i}" >"${MYFILESDIR}"/${filename}
done
# Build the envdir file
# Don't forget this..
einfo "Building environment file"
- echo "# These settings are what was present in the environment when this" >>${MYFILESDIR}/${ENVDFILE}
- echo "# Amanda was compiled. Changing anything below this comment will" >>${MYFILESDIR}/${ENVDFILE}
- echo "# have no effect on your application, but it merely exists to" >>${MYFILESDIR}/${ENVDFILE}
- echo "# preserve them for your next emerge of Amanda" >>${MYFILESDIR}/${ENVDFILE}
- cat ${TMPENVFILE} | sed "s,=\$,='',g" >>${MYFILESDIR}/${ENVDFILE}
+ local t
+ t="${MYFILESDIR}"/${ENVDFILE}
+ echo "# These settings are what was present in the environment when this" >>"${t}"
+ echo "# Amanda was compiled. Changing anything below this comment will" >>"${t}"
+ echo "# have no effect on your application, but it merely exists to" >>"${t}"
+ echo "# preserve them for your next emerge of Amanda" >>"${t}"
+ cat "${TMPENVFILE}" | sed "s,=\$,='',g" >>"${t}"
into /usr
@@ -235,34 +237,34 @@ src_install() {
einfo "Installing documentation"
dodoc AUTHORS C* INSTALL NEWS README
# Clean up some bits
- dodoc ${D}/usr/share/amanda/*
- rm -rf ${D}/usr/share/amanda
+ dodoc "${D}"/usr/share/amanda/*
+ rm -rf "${D}"/usr/share/amanda
# our inetd sample
einfo "Installing standard inetd sample"
- dodoc ${MYFILESDIR}/amanda-inetd.amanda.sample
+ dodoc "${MYFILESDIR}"/amanda-inetd.amanda.sample
# Stock extra docs
docinto docs
- dodoc ${S}/docs/*
+ dodoc "${S}"/docs/*
# Labels
einfo "Installing labels"
docinto labels
- dodoc ${S}/example/3hole.ps
- dodoc ${S}/example/8.5x11.ps
- dodoc ${S}/example/DIN-A4.ps
- dodoc ${S}/example/DLT.ps
- dodoc ${S}/example/EXB-8500.ps
- dodoc ${S}/example/HP-DAT.ps
+ dodoc "${S}"/example/3hole.ps
+ dodoc "${S}"/example/8.5x11.ps
+ dodoc "${S}"/example/DIN-A4.ps
+ dodoc "${S}"/example/DLT.ps
+ dodoc "${S}"/example/EXB-8500.ps
+ dodoc "${S}"/example/HP-DAT.ps
# Amanda example configs
einfo "Installing example configurations"
docinto example
- dodoc ${S}/example/*
+ dodoc "${S}"/example/*
docinto example1
- newdoc ${FILESDIR}/example_amanda.conf amanda.conf
- newdoc ${FILESDIR}/example_disklist disklist
- newdoc ${FILESDIR}/example_global.conf global.conf
+ newdoc "${FILESDIR}"/example_amanda.conf amanda.conf
+ newdoc "${FILESDIR}"/example_disklist disklist
+ newdoc "${FILESDIR}"/example_global.conf global.conf
docinto example2
- newdoc ${S}/example/amanda.conf amanda.conf
- newdoc ${S}/example/disklist disklist
+ newdoc "${S}"/example/amanda.conf amanda.conf
+ newdoc "${S}"/example/disklist disklist
# Compress it all
prepalldocs
@@ -271,16 +273,16 @@ src_install() {
insinto /etc/amanda
einfo "Installing .amandahosts File for ${AMANDA_USER_NAME} user"
- newins ${MYFILESDIR}/amanda-amandahosts amandahosts
+ newins "${MYFILESDIR}"/amanda-amandahosts amandahosts
dosym /etc/amanda/amandahosts ${AMANDA_USER_HOMEDIR}/.amandahosts
insinto ${AMANDA_USER_HOMEDIR}
einfo "Installing .profile for ${AMANDA_USER_NAME} user"
- newins ${MYFILESDIR}/amanda-profile .profile
+ newins "${MYFILESDIR}"/amanda-profile .profile
einfo "Installing Sample Daily Cron Job for Amanda"
CRONDIR=/etc/cron.daily/
exeinto ${CRONDIR}
- newexe ${MYFILESDIR}/amanda-cron amanda
+ newexe "${MYFILESDIR}"/amanda-cron amanda
# Not excetuable by default
fperms 644 ${CRONDIR}/amanda
@@ -300,28 +302,28 @@ src_install() {
# DevFS
einfo "Installing DevFS config file"
insinto /etc/devfs.d
- newins ${MYFILESDIR}/amanda-devfs amanda
+ newins "${MYFILESDIR}"/amanda-devfs amanda
# Env.d
einfo "Installing environment config file"
- doenvd ${MYFILESDIR}/${ENVDFILE}
+ doenvd "${MYFILESDIR}"/${ENVDFILE}
# Installing Amanda Xinetd Services Definition
einfo "Installing xinetd service file"
insinto /etc/xinetd.d
- newins ${MYFILESDIR}/amanda-xinetd amanda
+ newins "${MYFILESDIR}"/amanda-xinetd amanda
}
pkg_postinst() {
[ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) should exist!"
- source ${TMPENVFILE}
+ source "${TMPENVFILE}"
local i
for i in amandates dumpdates; do
einfo "Creating inital Amanda file (${i})"
- touch ${ROOT}/etc/${i}
- chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} ${ROOT}/etc/${i}
- chmod 600 ${ROOT}/etc/${i}
+ touch "${ROOT}"/etc/${i}
+ chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} "${ROOT}"/etc/${i}
+ chmod 600 "${ROOT}"/etc/${i}
done
elog "You should configure Amanda in /etc/amanda now."
diff --git a/app-backup/amanda/amanda-2.4.5_p1.ebuild b/app-backup/amanda/amanda-2.4.5_p1.ebuild
index 6cd9444ae295..11f480052108 100644
--- a/app-backup/amanda/amanda-2.4.5_p1.ebuild
+++ b/app-backup/amanda/amanda-2.4.5_p1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.4.5_p1.ebuild,v 1.8 2007/07/15 04:23:35 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.4.5_p1.ebuild,v 1.9 2007/10/09 09:23:15 robbat2 Exp $
inherit eutils
@@ -126,7 +126,7 @@ src_compile() {
[ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) should exist!"
source "${TMPENVFILE}"
local myconf
- cd ${S}
+ cd "${S}"
einfo "Using '${AMANDA_DBMODE}' style database"
myconf="${myconf} --with-db=${AMANDA_DBMODE}"
@@ -197,11 +197,11 @@ src_install() {
source ${TMPENVFILE}
einfo "Doing stock install"
- make DESTDIR=${D} install || die
+ emake -j1 DESTDIR="${D}" install || die
# Prepare our custom files
einfo "Building custom configuration files"
- cp ${FILESDIR}/amanda-* ${MYFILESDIR}
+ cp "${FILESDIR}"/amanda-* "${MYFILESDIR}"
local i # our iterator
local sedexpr # var for sed expr
sedexpr=''
@@ -215,19 +215,21 @@ src_install() {
# now apply the sed expr
for i in "${FILESDIR}"/amanda-* ; do
local filename
- filename=`basename ${i}`
+ filename="`basename ${i}`"
#einfo "Applying compiled SED expression to ${filename}"
- sed -re "${sedexpr}" <${i} >"${MYFILESDIR}/${filename}"
+ sed -re "${sedexpr}" <"${i}" >"${MYFILESDIR}"/${filename}
done
# Build the envdir file
# Don't forget this..
einfo "Building environment file"
- echo "# These settings are what was present in the environment when this" >>${MYFILESDIR}/${ENVDFILE}
- echo "# Amanda was compiled. Changing anything below this comment will" >>${MYFILESDIR}/${ENVDFILE}
- echo "# have no effect on your application, but it merely exists to" >>${MYFILESDIR}/${ENVDFILE}
- echo "# preserve them for your next emerge of Amanda" >>${MYFILESDIR}/${ENVDFILE}
- cat ${TMPENVFILE} | sed "s,=\$,='',g" >>${MYFILESDIR}/${ENVDFILE}
+ local t
+ t="${MYFILESDIR}"/${ENVDFILE}
+ echo "# These settings are what was present in the environment when this" >>"${t}"
+ echo "# Amanda was compiled. Changing anything below this comment will" >>"${t}"
+ echo "# have no effect on your application, but it merely exists to" >>"${t}"
+ echo "# preserve them for your next emerge of Amanda" >>"${t}"
+ cat "${TMPENVFILE}" | sed "s,=\$,='',g" >>"${t}"
into /usr
@@ -239,36 +241,36 @@ src_install() {
einfo "Installing documentation"
dodoc AUTHORS C* INSTALL NEWS README
# Clean up some bits
- dodoc ${D}/usr/share/amanda/*
- rm -rf ${D}/usr/share/amanda
- mkdir -p ${D}/${MYINSTTMPDIR} || die
- cp ${TMPENVFILE} "${D}/${TMPINSTENVFILE}" || die
+ dodoc "${D}"/usr/share/amanda/*
+ rm -rf "${D}"/usr/share/amanda
+ mkdir -p "${D}"/${MYINSTTMPDIR} || die
+ cp ${TMPENVFILE} "${D}"/${TMPINSTENVFILE} || die
# our inetd sample
einfo "Installing standard inetd sample"
- dodoc ${MYFILESDIR}/amanda-inetd.amanda.sample
+ dodoc "${MYFILESDIR}"/amanda-inetd.amanda.sample
# Stock extra docs
docinto docs
- dodoc ${S}/docs/*
+ dodoc "${S}"/docs/*
# Labels
einfo "Installing labels"
docinto labels
- dodoc ${S}/example/3hole.ps
- dodoc ${S}/example/8.5x11.ps
- dodoc ${S}/example/DIN-A4.ps
- dodoc ${S}/example/DLT.ps
- dodoc ${S}/example/EXB-8500.ps
- dodoc ${S}/example/HP-DAT.ps
+ dodoc "${S}"/example/3hole.ps
+ dodoc "${S}"/example/8.5x11.ps
+ dodoc "${S}"/example/DIN-A4.ps
+ dodoc "${S}"/example/DLT.ps
+ dodoc "${S}"/example/EXB-8500.ps
+ dodoc "${S}"/example/HP-DAT.ps
# Amanda example configs
einfo "Installing example configurations"
docinto example
- dodoc ${S}/example/*
+ dodoc "${S}"/example/*
docinto example1
- newdoc ${FILESDIR}/example_amanda.conf amanda.conf
- newdoc ${FILESDIR}/example_disklist disklist
- newdoc ${FILESDIR}/example_global.conf global.conf
+ newdoc "${FILESDIR}"/example_amanda.conf amanda.conf
+ newdoc "${FILESDIR}"/example_disklist disklist
+ newdoc "${FILESDIR}"/example_global.conf global.conf
docinto example2
- newdoc ${S}/example/amanda.conf amanda.conf
- newdoc ${S}/example/disklist disklist
+ newdoc "${S}"/example/amanda.conf amanda.conf
+ newdoc "${S}"/example/disklist disklist
# Compress it all
prepalldocs
@@ -277,16 +279,16 @@ src_install() {
insinto /etc/amanda
einfo "Installing .amandahosts File for ${AMANDA_USER_NAME} user"
- newins ${MYFILESDIR}/amanda-amandahosts amandahosts
+ newins "${MYFILESDIR}"/amanda-amandahosts amandahosts
dosym /etc/amanda/amandahosts ${AMANDA_USER_HOMEDIR}/.amandahosts
insinto ${AMANDA_USER_HOMEDIR}
einfo "Installing .profile for ${AMANDA_USER_NAME} user"
- newins ${MYFILESDIR}/amanda-profile .profile
+ newins "${MYFILESDIR}"/amanda-profile .profile
einfo "Installing Sample Daily Cron Job for Amanda"
CRONDIR=/etc/cron.daily/
exeinto ${CRONDIR}
- newexe ${MYFILESDIR}/amanda-cron amanda
+ newexe "${MYFILESDIR}"/amanda-cron amanda
# Not excetuable by default
fperms 644 ${CRONDIR}/amanda
@@ -306,32 +308,32 @@ src_install() {
# DevFS
einfo "Installing DevFS config file"
insinto /etc/devfs.d
- newins ${MYFILESDIR}/amanda-devfs amanda
+ newins "${MYFILESDIR}"/amanda-devfs amanda
# Env.d
einfo "Installing environment config file"
- doenvd ${MYFILESDIR}/${ENVDFILE}
+ doenvd "${MYFILESDIR}"/${ENVDFILE}
# Installing Amanda Xinetd Services Definition
einfo "Installing xinetd service file"
insinto /etc/xinetd.d
- newins ${MYFILESDIR}/amanda-xinetd amanda
+ newins "${MYFILESDIR}"/amanda-xinetd amanda
}
pkg_postinst() {
- local aux="${ROOT}/${TMPINSTENVFILE}"
+ local aux="${ROOT}"/${TMPINSTENVFILE}
[ ! -f "${aux}" ] && die "Variable setting file (${aux}) should exist!"
source "${aux}"
rm "${aux}"
- rmdir ${ROOT}/${MYINSTTMPDIR} 2>/dev/null # ignore error
+ rmdir "${ROOT}"/${MYINSTTMPDIR} 2>/dev/null # ignore error
local i
for i in amandates dumpdates; do
einfo "Creating inital Amanda file (${i})"
- touch ${ROOT}/etc/${i}
- chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} ${ROOT}/etc/${i}
- chmod 600 ${ROOT}/etc/${i}
+ touch "${ROOT}"/etc/${i}
+ chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} "${ROOT}"/etc/${i}
+ chmod 600 "${ROOT}"/etc/${i}
done
elog "You should configure Amanda in /etc/amanda now."
diff --git a/app-backup/amanda/amanda-2.5.1_p3-r1.ebuild b/app-backup/amanda/amanda-2.5.1_p3-r1.ebuild
index b52025e15a87..e43014345ae3 100644
--- a/app-backup/amanda/amanda-2.5.1_p3-r1.ebuild
+++ b/app-backup/amanda/amanda-2.5.1_p3-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.1_p3-r1.ebuild,v 1.4 2007/07/15 04:23:35 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.1_p3-r1.ebuild,v 1.5 2007/10/09 09:23:15 robbat2 Exp $
inherit eutils
@@ -134,7 +134,7 @@ src_compile() {
[ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) should exist!"
source "${TMPENVFILE}"
local myconf
- cd ${S}
+ cd "${S}"
einfo "Using '${AMANDA_DBMODE}' style database"
myconf="${myconf} --with-db=${AMANDA_DBMODE}"
@@ -208,11 +208,11 @@ src_install() {
source ${TMPENVFILE}
einfo "Doing stock install"
- make DESTDIR=${D} install || die
+ emake -j1 DESTDIR="${D}" install || die
# Prepare our custom files
einfo "Building custom configuration files"
- cp ${FILESDIR}/amanda-* ${MYFILESDIR}
+ cp "${FILESDIR}"/amanda-* "${MYFILESDIR}"
local i # our iterator
local sedexpr # var for sed expr
sedexpr=''
@@ -226,19 +226,21 @@ src_install() {
# now apply the sed expr
for i in "${FILESDIR}"/amanda-* ; do
local filename
- filename=`basename ${i}`
+ filename="`basename ${i}`"
#einfo "Applying compiled SED expression to ${filename}"
- sed -re "${sedexpr}" <${i} >"${MYFILESDIR}/${filename}"
+ sed -re "${sedexpr}" <"${i}" >"${MYFILESDIR}"/${filename}
done
# Build the envdir file
# Don't forget this..
einfo "Building environment file"
- echo "# These settings are what was present in the environment when this" >>${MYFILESDIR}/${ENVDFILE}
- echo "# Amanda was compiled. Changing anything below this comment will" >>${MYFILESDIR}/${ENVDFILE}
- echo "# have no effect on your application, but it merely exists to" >>${MYFILESDIR}/${ENVDFILE}
- echo "# preserve them for your next emerge of Amanda" >>${MYFILESDIR}/${ENVDFILE}
- cat ${TMPENVFILE} | sed "s,=\$,='',g" >>${MYFILESDIR}/${ENVDFILE}
+ local t
+ t="${MYFILESDIR}"/${ENVDFILE}
+ echo "# These settings are what was present in the environment when this" >>"${t}"
+ echo "# Amanda was compiled. Changing anything below this comment will" >>"${t}"
+ echo "# have no effect on your application, but it merely exists to" >>"${t}"
+ echo "# preserve them for your next emerge of Amanda" >>"${t}"
+ cat "${TMPENVFILE}" | sed "s,=\$,='',g" >>"${t}"
into /usr
@@ -251,35 +253,35 @@ src_install() {
dodoc AUTHORS C* INSTALL NEWS README
# Clean up some bits
dodoc /usr/share/amanda/*
- rm -rf ${D}/usr/share/amanda
- mkdir -p ${D}/${MYINSTTMPDIR} || die
- cp ${TMPENVFILE} "${D}/${TMPINSTENVFILE}" || die
+ rm -rf "${D}"/usr/share/amanda
+ mkdir -p "${D}"/${MYINSTTMPDIR} || die
+ cp "${TMPENVFILE}" "${D}"/${TMPINSTENVFILE} || die
# our inetd sample
einfo "Installing standard inetd sample"
- newdoc ${MYFILESDIR}/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
+ newdoc "${MYFILESDIR}"/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
# Stock extra docs
docinto docs
- dodoc ${S}/docs/*
+ dodoc "${S}"/docs/*
# Labels
einfo "Installing labels"
docinto labels
- dodoc ${S}/example/3hole.ps
- dodoc ${S}/example/8.5x11.ps
- dodoc ${S}/example/DIN-A4.ps
- dodoc ${S}/example/DLT.ps
- dodoc ${S}/example/EXB-8500.ps
- dodoc ${S}/example/HP-DAT.ps
+ dodoc "${S}"/example/3hole.ps
+ dodoc "${S}"/example/8.5x11.ps
+ dodoc "${S}"/example/DIN-A4.ps
+ dodoc "${S}"/example/DLT.ps
+ dodoc "${S}"/example/EXB-8500.ps
+ dodoc "${S}"/example/HP-DAT.ps
# Amanda example configs
einfo "Installing example configurations"
docinto example
- dodoc ${S}/example/*
+ dodoc "${S}"/example/*
docinto example1
- newdoc ${FILESDIR}/example_amanda.conf amanda.conf
- newdoc ${FILESDIR}/example_disklist-2.5.1_p3-r1 disklist
- newdoc ${FILESDIR}/example_global.conf global.conf
+ newdoc "${FILESDIR}"/example_amanda.conf amanda.conf
+ newdoc "${FILESDIR}"/example_disklist-2.5.1_p3-r1 disklist
+ newdoc "${FILESDIR}"/example_global.conf global.conf
docinto example2
- newdoc ${S}/example/amanda.conf amanda.conf
- newdoc ${S}/example/disklist disklist
+ newdoc "${S}"/example/amanda.conf amanda.conf
+ newdoc "${S}"/example/disklist disklist
# Compress it all
prepalldocs
@@ -289,19 +291,19 @@ src_install() {
insinto /etc/amanda
einfo "Installing .amandahosts File for ${AMANDA_USER_NAME} user"
- cat ${FILESDIR}/amanda-amandahosts-client-2.5.1_p3-r1 >>${D}/etc/amanda/amandahosts
+ cat "${FILESDIR}"/amanda-amandahosts-client-2.5.1_p3-r1 >>"${D}"/etc/amanda/amandahosts
use minimal \
- || cat ${FILESDIR}/amanda-amandahosts-server2.5.1_p3-r1 >>${D}/etc/amanda/amandahosts
+ || cat "${FILESDIR}"/amanda-amandahosts-server2.5.1_p3-r1 >>"${D}"/etc/amanda/amandahosts
dosym /etc/amanda/amandahosts ${AMANDA_USER_HOMEDIR}/.amandahosts
insinto ${AMANDA_USER_HOMEDIR}
einfo "Installing .profile for ${AMANDA_USER_NAME} user"
- newins ${MYFILESDIR}/amanda-profile .profile
+ newins "${MYFILESDIR}"/amanda-profile .profile
einfo "Installing Sample Daily Cron Job for Amanda"
CRONDIR=/etc/cron.daily/
exeinto ${CRONDIR}
- newexe ${MYFILESDIR}/amanda-cron amanda
+ newexe "${MYFILESDIR}"/amanda-cron amanda
# Not excetuable by default
fperms 644 ${CRONDIR}/amanda
@@ -321,32 +323,32 @@ src_install() {
# DevFS
einfo "Installing DevFS config file"
insinto /etc/devfs.d
- newins ${MYFILESDIR}/amanda-devfs amanda
+ newins "${MYFILESDIR}"/amanda-devfs amanda
# Env.d
einfo "Installing environment config file"
- doenvd ${MYFILESDIR}/${ENVDFILE}
+ doenvd "${MYFILESDIR}"/${ENVDFILE}
# Installing Amanda Xinetd Services Definition
einfo "Installing xinetd service file"
insinto /etc/xinetd.d
- newins ${MYFILESDIR}/amanda-xinetd-2.5.1_p3-r1 amanda
+ newins "${MYFILESDIR}"/amanda-xinetd-2.5.1_p3-r1 amanda
}
pkg_postinst() {
- local aux="${ROOT}/${TMPINSTENVFILE}"
+ local aux="${ROOT}"/${TMPINSTENVFILE}
[ ! -f "${aux}" ] && die "Variable setting file (${aux}) should exist!"
source "${aux}"
rm "${aux}"
- rmdir ${ROOT}/${MYINSTTMPDIR} 2>/dev/null # ignore error
+ rmdir "${ROOT}"/${MYINSTTMPDIR} 2>/dev/null # ignore error
local i
for i in amandates dumpdates; do
einfo "Creating inital Amanda file (${i})"
- touch ${ROOT}/etc/${i}
- chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} ${ROOT}/etc/${i}
- chmod 600 ${ROOT}/etc/${i}
+ touch "${ROOT}"/etc/${i}
+ chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} "${ROOT}"/etc/${i}
+ chmod 600 "${ROOT}"/etc/${i}
done
# If USE=minimal, give out a warning, if AMANDA_SERVER is not set to
diff --git a/app-backup/amanda/amanda-2.5.1_p3-r2.ebuild b/app-backup/amanda/amanda-2.5.1_p3-r2.ebuild
index 7b1cdef75ea5..6c6b5d32ca87 100644
--- a/app-backup/amanda/amanda-2.5.1_p3-r2.ebuild
+++ b/app-backup/amanda/amanda-2.5.1_p3-r2.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.1_p3-r2.ebuild,v 1.5 2007/07/15 04:23:35 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.1_p3-r2.ebuild,v 1.6 2007/10/09 09:23:15 robbat2 Exp $
inherit eutils
@@ -134,7 +134,7 @@ src_compile() {
[ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) should exist!"
source "${TMPENVFILE}"
local myconf
- cd ${S}
+ cd "${S}"
einfo "Using '${AMANDA_DBMODE}' style database"
myconf="${myconf} --with-db=${AMANDA_DBMODE}"
@@ -211,11 +211,11 @@ src_install() {
source ${TMPENVFILE}
einfo "Doing stock install"
- make DESTDIR=${D} install || die
+ emake -j1 DESTDIR="${D}" install || die
# Prepare our custom files
einfo "Building custom configuration files"
- cp ${FILESDIR}/amanda-* ${MYFILESDIR}
+ cp "${FILESDIR}"/amanda-* "${MYFILESDIR}"
local i # our iterator
local sedexpr # var for sed expr
sedexpr=''
@@ -229,19 +229,21 @@ src_install() {
# now apply the sed expr
for i in "${FILESDIR}"/amanda-* ; do
local filename
- filename=`basename ${i}`
+ filename="`basename ${i}`"
#einfo "Applying compiled SED expression to ${filename}"
- sed -re "${sedexpr}" <${i} >"${MYFILESDIR}/${filename}"
+ sed -re "${sedexpr}" <"${i}" >"${MYFILESDIR}"/${filename}
done
# Build the envdir file
# Don't forget this..
einfo "Building environment file"
- echo "# These settings are what was present in the environment when this" >>${MYFILESDIR}/${ENVDFILE}
- echo "# Amanda was compiled. Changing anything below this comment will" >>${MYFILESDIR}/${ENVDFILE}
- echo "# have no effect on your application, but it merely exists to" >>${MYFILESDIR}/${ENVDFILE}
- echo "# preserve them for your next emerge of Amanda" >>${MYFILESDIR}/${ENVDFILE}
- cat ${TMPENVFILE} | sed "s,=\$,='',g" >>${MYFILESDIR}/${ENVDFILE}
+ local t
+ t="${MYFILESDIR}"/${ENVDFILE}
+ echo "# These settings are what was present in the environment when this" >>"${t}"
+ echo "# Amanda was compiled. Changing anything below this comment will" >>"${t}"
+ echo "# have no effect on your application, but it merely exists to" >>"${t}"
+ echo "# preserve them for your next emerge of Amanda" >>"${t}"
+ cat "${TMPENVFILE}" | sed "s,=\$,='',g" >>"${t}"
into /usr
@@ -254,35 +256,35 @@ src_install() {
dodoc AUTHORS C* INSTALL NEWS README
# Clean up some bits
dodoc /usr/share/amanda/*
- rm -rf ${D}/usr/share/amanda
- mkdir -p ${D}/${MYINSTTMPDIR} || die
- cp ${TMPENVFILE} "${D}/${TMPINSTENVFILE}" || die
+ rm -rf "${D}"/usr/share/amanda
+ mkdir -p "${D}"/${MYINSTTMPDIR} || die
+ cp "${TMPENVFILE}" "${D}"/${TMPINSTENVFILE} || die
# our inetd sample
einfo "Installing standard inetd sample"
- newdoc ${MYFILESDIR}/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
+ newdoc "${MYFILESDIR}"/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
# Stock extra docs
docinto docs
- dodoc ${S}/docs/*
+ dodoc "${S}"/docs/*
# Labels
einfo "Installing labels"
docinto labels
- dodoc ${S}/example/3hole.ps
- dodoc ${S}/example/8.5x11.ps
- dodoc ${S}/example/DIN-A4.ps
- dodoc ${S}/example/DLT.ps
- dodoc ${S}/example/EXB-8500.ps
- dodoc ${S}/example/HP-DAT.ps
+ dodoc "${S}"/example/3hole.ps
+ dodoc "${S}"/example/8.5x11.ps
+ dodoc "${S}"/example/DIN-A4.ps
+ dodoc "${S}"/example/DLT.ps
+ dodoc "${S}"/example/EXB-8500.ps
+ dodoc "${S}"/example/HP-DAT.ps
# Amanda example configs
einfo "Installing example configurations"
docinto example
- dodoc ${S}/example/*
+ dodoc "${S}"/example/*
docinto example1
- newdoc ${FILESDIR}/example_amanda.conf amanda.conf
- newdoc ${FILESDIR}/example_disklist-2.5.1_p3-r1 disklist
- newdoc ${FILESDIR}/example_global.conf global.conf
+ newdoc "${FILESDIR}"/example_amanda.conf amanda.conf
+ newdoc "${FILESDIR}"/example_disklist-2.5.1_p3-r1 disklist
+ newdoc "${FILESDIR}"/example_global.conf global.conf
docinto example2
- newdoc ${S}/example/amanda.conf amanda.conf
- newdoc ${S}/example/disklist disklist
+ newdoc "${S}"/example/amanda.conf amanda.conf
+ newdoc "${S}"/example/disklist disklist
# Compress it all
prepalldocs
@@ -292,19 +294,21 @@ src_install() {
insinto /etc/amanda
einfo "Installing .amandahosts File for ${AMANDA_USER_NAME} user"
- cat ${FILESDIR}/amanda-amandahosts-client-2.5.1_p3-r1 >>${D}/etc/amanda/amandahosts
+ cat "${FILESDIR}"/amanda-amandahosts-client-2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
use minimal \
- || cat ${FILESDIR}/amanda-amandahosts-server2.5.1_p3-r1 >>${D}/etc/amanda/amandahosts
+ || cat "${FILESDIR}"/amanda-amandahosts-server2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
dosym /etc/amanda/amandahosts ${AMANDA_USER_HOMEDIR}/.amandahosts
- insinto ${AMANDA_USER_HOMEDIR}
+ insinto "${AMANDA_USER_HOMEDIR}"
einfo "Installing .profile for ${AMANDA_USER_NAME} user"
- newins ${MYFILESDIR}/amanda-profile .profile
+ newins "${MYFILESDIR}"/amanda-profile .profile
einfo "Installing Sample Daily Cron Job for Amanda"
CRONDIR=/etc/cron.daily/
exeinto ${CRONDIR}
- newexe ${MYFILESDIR}/amanda-cron amanda
+ newexe "${MYFILESDIR}"/amanda-cron amanda
# Not excetuable by default
fperms 644 ${CRONDIR}/amanda
@@ -324,32 +328,32 @@ src_install() {
# DevFS
einfo "Installing DevFS config file"
insinto /etc/devfs.d
- newins ${MYFILESDIR}/amanda-devfs amanda
+ newins "${MYFILESDIR}"/amanda-devfs amanda
# Env.d
einfo "Installing environment config file"
- doenvd ${MYFILESDIR}/${ENVDFILE}
+ doenvd "${MYFILESDIR}"/${ENVDFILE}
# Installing Amanda Xinetd Services Definition
einfo "Installing xinetd service file"
insinto /etc/xinetd.d
- newins ${MYFILESDIR}/amanda-xinetd-2.5.1_p3-r1 amanda
+ newins "${MYFILESDIR}"/amanda-xinetd-2.5.1_p3-r1 amanda
}
pkg_postinst() {
- local aux="${ROOT}/${TMPINSTENVFILE}"
+ local aux="${ROOT}"/${TMPINSTENVFILE}
[ ! -f "${aux}" ] && die "Variable setting file (${aux}) should exist!"
source "${aux}"
rm "${aux}"
- rmdir ${ROOT}/${MYINSTTMPDIR} 2>/dev/null # ignore error
+ rmdir "${ROOT}"/${MYINSTTMPDIR} 2>/dev/null # ignore error
local i
for i in amandates dumpdates; do
einfo "Creating inital Amanda file (${i})"
- touch ${ROOT}/etc/${i}
- chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} ${ROOT}/etc/${i}
- chmod 600 ${ROOT}/etc/${i}
+ touch "${ROOT}"/etc/${i}
+ chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} "${ROOT}"/etc/${i}
+ chmod 600 "${ROOT}"/etc/${i}
done
# If USE=minimal, give out a warning, if AMANDA_SERVER is not set to
diff --git a/app-backup/amanda/amanda-2.5.1_p3-r4.ebuild b/app-backup/amanda/amanda-2.5.1_p3-r4.ebuild
index 0034af7ad1b8..a6239e284390 100644
--- a/app-backup/amanda/amanda-2.5.1_p3-r4.ebuild
+++ b/app-backup/amanda/amanda-2.5.1_p3-r4.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.1_p3-r4.ebuild,v 1.3 2007/07/15 04:23:35 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.1_p3-r4.ebuild,v 1.4 2007/10/09 09:23:15 robbat2 Exp $
inherit eutils
@@ -136,7 +136,7 @@ src_compile() {
[ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) should exist!"
source "${TMPENVFILE}"
local myconf
- cd ${S}
+ cd "${S}"
einfo "Using '${AMANDA_DBMODE}' style database"
myconf="${myconf} --with-db=${AMANDA_DBMODE}"
@@ -227,11 +227,11 @@ src_install() {
source ${TMPENVFILE}
einfo "Doing stock install"
- make DESTDIR=${D} install || die
+ emake -j1 DESTDIR="${D}" install || die
# Prepare our custom files
einfo "Building custom configuration files"
- cp ${FILESDIR}/amanda-* ${MYFILESDIR}
+ cp "${FILESDIR}"/amanda-* "${MYFILESDIR}"
local i # our iterator
local sedexpr # var for sed expr
sedexpr=''
@@ -250,19 +250,21 @@ src_install() {
# now apply the sed expr
for i in "${FILESDIR}"/amanda-* ; do
local filename
- filename=`basename ${i}`
+ filename="`basename ${i}`"
#einfo "Applying compiled SED expression to ${filename}"
- sed -re "${sedexpr}" <${i} >"${MYFILESDIR}/${filename}"
+ sed -re "${sedexpr}" <"${i}" >"${MYFILESDIR}"/${filename}
done
# Build the envdir file
# Don't forget this..
einfo "Building environment file"
- echo "# These settings are what was present in the environment when this" >>${MYFILESDIR}/${ENVDFILE}
- echo "# Amanda was compiled. Changing anything below this comment will" >>${MYFILESDIR}/${ENVDFILE}
- echo "# have no effect on your application, but it merely exists to" >>${MYFILESDIR}/${ENVDFILE}
- echo "# preserve them for your next emerge of Amanda" >>${MYFILESDIR}/${ENVDFILE}
- cat ${TMPENVFILE} | sed "s,=\$,='',g" >>${MYFILESDIR}/${ENVDFILE}
+ local t
+ t="${MYFILESDIR}"/${ENVDFILE}
+ echo "# These settings are what was present in the environment when this" >>"${t}"
+ echo "# Amanda was compiled. Changing anything below this comment will" >>"${t}"
+ echo "# have no effect on your application, but it merely exists to" >>"${t}"
+ echo "# preserve them for your next emerge of Amanda" >>"${t}"
+ cat "${TMPENVFILE}" | sed "s,=\$,='',g" >>"${t}"
into /usr
@@ -275,35 +277,35 @@ src_install() {
dodoc AUTHORS C* INSTALL NEWS README
# Clean up some bits
dodoc /usr/share/amanda/*
- rm -rf ${D}/usr/share/amanda
- mkdir -p ${D}/${MYINSTTMPDIR} || die
- cp ${TMPENVFILE} "${D}/${TMPINSTENVFILE}" || die
+ rm -rf "${D}"/usr/share/amanda
+ mkdir -p "${D}"/${MYINSTTMPDIR} || die
+ cp "${TMPENVFILE}" "${D}"/${TMPINSTENVFILE} || die
# our inetd sample
einfo "Installing standard inetd sample"
- newdoc ${MYFILESDIR}/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
+ newdoc "${MYFILESDIR}"/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
# Stock extra docs
docinto docs
- dodoc ${S}/docs/*
+ dodoc "${S}"/docs/*
# Labels
einfo "Installing labels"
docinto labels
- dodoc ${S}/example/3hole.ps
- dodoc ${S}/example/8.5x11.ps
- dodoc ${S}/example/DIN-A4.ps
- dodoc ${S}/example/DLT.ps
- dodoc ${S}/example/EXB-8500.ps
- dodoc ${S}/example/HP-DAT.ps
+ dodoc "${S}"/example/3hole.ps
+ dodoc "${S}"/example/8.5x11.ps
+ dodoc "${S}"/example/DIN-A4.ps
+ dodoc "${S}"/example/DLT.ps
+ dodoc "${S}"/example/EXB-8500.ps
+ dodoc "${S}"/example/HP-DAT.ps
# Amanda example configs
einfo "Installing example configurations"
docinto example
- dodoc ${S}/example/*
+ dodoc "${S}"/example/*
docinto example1
- newdoc ${FILESDIR}/example_amanda.conf amanda.conf
- newdoc ${FILESDIR}/example_disklist-2.5.1_p3-r1 disklist
- newdoc ${FILESDIR}/example_global.conf global.conf
+ newdoc "${FILESDIR}"/example_amanda.conf amanda.conf
+ newdoc "${FILESDIR}"/example_disklist-2.5.1_p3-r1 disklist
+ newdoc "${FILESDIR}"/example_global.conf global.conf
docinto example2
- newdoc ${S}/example/amanda.conf amanda.conf
- newdoc ${S}/example/disklist disklist
+ newdoc "${S}"/example/amanda.conf amanda.conf
+ newdoc "${S}"/example/disklist disklist
# Compress it all
prepalldocs
@@ -313,21 +315,21 @@ src_install() {
insinto /etc/amanda
einfo "Installing .amandahosts File for ${AMANDA_USER_NAME} user"
- cat ${FILESDIR}/amanda-amandahosts-client-2.5.1_p3-r1 \
- >>${D}/etc/amanda/amandahosts
+ cat "${FILESDIR}"/amanda-amandahosts-client-2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
use minimal \
- || cat ${FILESDIR}/amanda-amandahosts-server2.5.1_p3-r1 \
- >>${D}/etc/amanda/amandahosts
+ || cat "${FILESDIR}"/amanda-amandahosts-server2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
dosym /etc/amanda/amandahosts ${AMANDA_USER_HOMEDIR}/.amandahosts
insinto ${AMANDA_USER_HOMEDIR}
einfo "Installing .profile for ${AMANDA_USER_NAME} user"
- newins ${MYFILESDIR}/amanda-profile .profile
+ newins "${MYFILESDIR}"/amanda-profile .profile
einfo "Installing Sample Daily Cron Job for Amanda"
CRONDIR=/etc/cron.daily/
exeinto ${CRONDIR}
- newexe ${MYFILESDIR}/amanda-cron amanda
+ newexe "${MYFILESDIR}"/amanda-cron amanda
# Not executable by default
fperms 644 ${CRONDIR}/amanda
@@ -348,37 +350,37 @@ src_install() {
done
einfo "Setting setuid permissions"
- amanda_permissions_fix ${D}
+ amanda_permissions_fix "${D}"
# DevFS
einfo "Installing DevFS config file"
insinto /etc/devfs.d
- newins ${MYFILESDIR}/amanda-devfs amanda
+ newins "${MYFILESDIR}"/amanda-devfs amanda
# Env.d
einfo "Installing environment config file"
- doenvd ${MYFILESDIR}/${ENVDFILE}
+ doenvd "${MYFILESDIR}"/${ENVDFILE}
# Installing Amanda Xinetd Services Definition
einfo "Installing xinetd service file"
insinto /etc/xinetd.d
- newins ${MYFILESDIR}/amanda-xinetd-2.5.1_p3-r1 amanda
+ newins "${MYFILESDIR}"/amanda-xinetd-2.5.1_p3-r1 amanda
}
pkg_postinst() {
- local aux="${ROOT}/${TMPINSTENVFILE}"
+ local aux="${ROOT}"/${TMPINSTENVFILE}
[ ! -f "${aux}" ] && die "Variable setting file (${aux}) should exist!"
source "${aux}"
rm "${aux}"
- rmdir ${ROOT}/${MYINSTTMPDIR} 2>/dev/null # ignore error
+ rmdir "${ROOT}"/${MYINSTTMPDIR} 2>/dev/null # ignore error
local i
for i in amandates dumpdates; do
einfo "Creating inital Amanda file (${i})"
- touch ${ROOT}/etc/${i}
- chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} ${ROOT}/etc/${i}
- chmod 600 ${ROOT}/etc/${i}
+ touch "${ROOT}"/etc/${i}
+ chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} "${ROOT}"/etc/${i}
+ chmod 600 "${ROOT}"/etc/${i}
done
# If USE=minimal, give out a warning, if AMANDA_SERVER is not set to
@@ -397,7 +399,7 @@ pkg_postinst() {
fi
einfo "Checking setuid permissions"
- amanda_permissions_fix ${ROOT}
+ amanda_permissions_fix "${ROOT}"
elog "You should configure Amanda in /etc/amanda now."
elog
@@ -432,7 +434,7 @@ amanda_permissions_fix() {
for i in /usr/sbin/amcheck /usr/libexec/calcsize /usr/libexec/killpgrp \
/usr/libexec/rundump /usr/libexec/runtar /usr/libexec/dumper \
/usr/libexec/planner ; do
- chown root:${AMANDA_GROUP_NAME} ${root}/${i}
- chmod u=srwx,g=rx,o= ${root}/${i}
+ chown root:${AMANDA_GROUP_NAME} "${root}"/${i}
+ chmod u=srwx,g=rx,o= "${root}"/${i}
done
}
diff --git a/app-backup/amanda/amanda-2.5.2_p1-r1.ebuild b/app-backup/amanda/amanda-2.5.2_p1-r1.ebuild
index 8a7ec8aa750d..99c3126317f1 100644
--- a/app-backup/amanda/amanda-2.5.2_p1-r1.ebuild
+++ b/app-backup/amanda/amanda-2.5.2_p1-r1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.2_p1-r1.ebuild,v 1.1 2007/07/24 19:48:07 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.2_p1-r1.ebuild,v 1.2 2007/10/09 09:23:15 robbat2 Exp $
inherit eutils
@@ -126,7 +126,7 @@ src_compile() {
[ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) should exist!"
source "${TMPENVFILE}"
local myconf
- cd ${S}
+ cd "${S}"
einfo "Using '${AMANDA_DBMODE}' style database"
myconf="${myconf} --with-db=${AMANDA_DBMODE}"
@@ -217,11 +217,11 @@ src_install() {
source ${TMPENVFILE}
einfo "Doing stock install"
- make DESTDIR=${D} install || die
+ emake -j1 DESTDIR="${D}" install || die
# Prepare our custom files
einfo "Building custom configuration files"
- cp ${FILESDIR}/amanda-* ${MYFILESDIR}
+ cp "${FILESDIR}"/amanda-* "${MYFILESDIR}"
local i # our iterator
local sedexpr # var for sed expr
sedexpr=''
@@ -240,19 +240,21 @@ src_install() {
# now apply the sed expr
for i in "${FILESDIR}"/amanda-* ; do
local filename
- filename=`basename ${i}`
+ filename="`basename ${i}`"
#einfo "Applying compiled SED expression to ${filename}"
- sed -re "${sedexpr}" <${i} >"${MYFILESDIR}/${filename}"
+ sed -re "${sedexpr}" <"${i}" >"${MYFILESDIR}"/${filename}
done
# Build the envdir file
# Don't forget this..
einfo "Building environment file"
- echo "# These settings are what was present in the environment when this" >>${MYFILESDIR}/${ENVDFILE}
- echo "# Amanda was compiled. Changing anything below this comment will" >>${MYFILESDIR}/${ENVDFILE}
- echo "# have no effect on your application, but it merely exists to" >>${MYFILESDIR}/${ENVDFILE}
- echo "# preserve them for your next emerge of Amanda" >>${MYFILESDIR}/${ENVDFILE}
- cat ${TMPENVFILE} | sed "s,=\$,='',g" >>${MYFILESDIR}/${ENVDFILE}
+ local t
+ t="${MYFILESDIR}"/${ENVDFILE}
+ echo "# These settings are what was present in the environment when this" >>"${t}"
+ echo "# Amanda was compiled. Changing anything below this comment will" >>"${t}"
+ echo "# have no effect on your application, but it merely exists to" >>"${t}"
+ echo "# preserve them for your next emerge of Amanda" >>"${t}"
+ cat "${TMPENVFILE}" | sed "s,=\$,='',g" >>"${t}"
into /usr
@@ -265,35 +267,35 @@ src_install() {
dodoc AUTHORS C* INSTALL NEWS README
# Clean up some bits
dodoc /usr/share/amanda/*
- rm -rf ${D}/usr/share/amanda
- mkdir -p ${D}/${MYINSTTMPDIR} || die
- cp ${TMPENVFILE} "${D}/${TMPINSTENVFILE}" || die
+ rm -rf "${D}"/usr/share/amanda
+ mkdir -p "${D}"/${MYINSTTMPDIR} || die
+ cp "${TMPENVFILE}" "${D}"/${TMPINSTENVFILE} || die
# our inetd sample
einfo "Installing standard inetd sample"
- newdoc ${MYFILESDIR}/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
+ newdoc "${MYFILESDIR}"/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
# Stock extra docs
docinto docs
- dodoc ${S}/docs/*
+ dodoc "${S}"/docs/*
# Labels
einfo "Installing labels"
docinto labels
- dodoc ${S}/example/3hole.ps
- dodoc ${S}/example/8.5x11.ps
- dodoc ${S}/example/DIN-A4.ps
- dodoc ${S}/example/DLT.ps
- dodoc ${S}/example/EXB-8500.ps
- dodoc ${S}/example/HP-DAT.ps
+ dodoc "${S}"/example/3hole.ps
+ dodoc "${S}"/example/8.5x11.ps
+ dodoc "${S}"/example/DIN-A4.ps
+ dodoc "${S}"/example/DLT.ps
+ dodoc "${S}"/example/EXB-8500.ps
+ dodoc "${S}"/example/HP-DAT.ps
# Amanda example configs
einfo "Installing example configurations"
docinto example
- dodoc ${S}/example/*
+ dodoc "${S}"/example/*
docinto example1
- newdoc ${FILESDIR}/example_amanda.conf amanda.conf
- newdoc ${FILESDIR}/example_disklist-2.5.1_p3-r1 disklist
- newdoc ${FILESDIR}/example_global.conf global.conf
+ newdoc "${FILESDIR}"/example_amanda.conf amanda.conf
+ newdoc "${FILESDIR}"/example_disklist-2.5.1_p3-r1 disklist
+ newdoc "${FILESDIR}"/example_global.conf global.conf
docinto example2
- newdoc ${S}/example/amanda.conf amanda.conf
- newdoc ${S}/example/disklist disklist
+ newdoc "${S}"/example/amanda.conf amanda.conf
+ newdoc "${S}"/example/disklist disklist
# Compress it all
prepalldocs
@@ -303,21 +305,21 @@ src_install() {
insinto /etc/amanda
einfo "Installing .amandahosts File for ${AMANDA_USER_NAME} user"
- cat ${MYFILESDIR}/amanda-amandahosts-client-2.5.1_p3-r1 \
- >>${D}/etc/amanda/amandahosts
+ cat "${MYFILESDIR}"/amanda-amandahosts-client-2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
use minimal \
- || cat ${MYFILESDIR}/amanda-amandahosts-server-2.5.1_p3-r1 \
- >>${D}/etc/amanda/amandahosts
+ || cat "${MYFILESDIR}"/amanda-amandahosts-server-2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
- dosym /etc/amanda/amandahosts ${AMANDA_USER_HOMEDIR}/.amandahosts
- insinto ${AMANDA_USER_HOMEDIR}
+ dosym /etc/amanda/amandahosts "${AMANDA_USER_HOMEDIR}"/.amandahosts
+ insinto "${AMANDA_USER_HOMEDIR}"
einfo "Installing .profile for ${AMANDA_USER_NAME} user"
- newins ${MYFILESDIR}/amanda-profile .profile
+ newins "${MYFILESDIR}"/amanda-profile .profile
einfo "Installing Sample Daily Cron Job for Amanda"
CRONDIR=/etc/cron.daily/
exeinto ${CRONDIR}
- newexe ${MYFILESDIR}/amanda-cron amanda
+ newexe "${MYFILESDIR}"/amanda-cron amanda
# Not executable by default
fperms 644 ${CRONDIR}/amanda
@@ -338,37 +340,37 @@ src_install() {
done
einfo "Setting setuid permissions"
- amanda_permissions_fix ${D}
+ amanda_permissions_fix "${D}"
# DevFS
einfo "Installing DevFS config file"
insinto /etc/devfs.d
- newins ${MYFILESDIR}/amanda-devfs amanda
+ newins "${MYFILESDIR}"/amanda-devfs amanda
# Env.d
einfo "Installing environment config file"
- doenvd ${MYFILESDIR}/${ENVDFILE}
+ doenvd "${MYFILESDIR}"/${ENVDFILE}
# Installing Amanda Xinetd Services Definition
einfo "Installing xinetd service file"
insinto /etc/xinetd.d
- newins ${MYFILESDIR}/amanda-xinetd-2.5.1_p3-r1 amanda
+ newins "${MYFILESDIR}"/amanda-xinetd-2.5.1_p3-r1 amanda
}
pkg_postinst() {
- local aux="${ROOT}/${TMPINSTENVFILE}"
+ local aux="${ROOT}"/${TMPINSTENVFILE}
[ ! -f "${aux}" ] && die "Variable setting file (${aux}) should exist!"
source "${aux}"
rm "${aux}"
- rmdir ${ROOT}/${MYINSTTMPDIR} 2>/dev/null # ignore error
+ rmdir "${ROOT}"/${MYINSTTMPDIR} 2>/dev/null # ignore error
local i
for i in amandates dumpdates; do
einfo "Creating inital Amanda file (${i})"
- touch ${ROOT}/etc/${i}
- chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} ${ROOT}/etc/${i}
- chmod 600 ${ROOT}/etc/${i}
+ touch "${ROOT}"/etc/${i}
+ chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} "${ROOT}"/etc/${i}
+ chmod 600 "${ROOT}"/etc/${i}
done
# If USE=minimal, give out a warning, if AMANDA_SERVER is not set to
@@ -387,7 +389,7 @@ pkg_postinst() {
fi
einfo "Checking setuid permissions"
- amanda_permissions_fix ${ROOT}
+ amanda_permissions_fix "${ROOT}"
elog "You should configure Amanda in /etc/amanda now."
elog
@@ -422,7 +424,7 @@ amanda_permissions_fix() {
for i in /usr/sbin/amcheck /usr/libexec/calcsize /usr/libexec/killpgrp \
/usr/libexec/rundump /usr/libexec/runtar /usr/libexec/dumper \
/usr/libexec/planner ; do
- chown root:${AMANDA_GROUP_NAME} ${root}/${i}
- chmod u=srwx,g=rx,o= ${root}/${i}
+ chown root:${AMANDA_GROUP_NAME} "${root}"/${i}
+ chmod u=srwx,g=rx,o= "${root}"/${i}
done
}
diff --git a/app-backup/amanda/amanda-2.5.2_p1-r2.ebuild b/app-backup/amanda/amanda-2.5.2_p1-r2.ebuild
index 0abac1bc52c7..7c2e41ee380f 100644
--- a/app-backup/amanda/amanda-2.5.2_p1-r2.ebuild
+++ b/app-backup/amanda/amanda-2.5.2_p1-r2.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.2_p1-r2.ebuild,v 1.2 2007/08/03 01:53:02 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.2_p1-r2.ebuild,v 1.3 2007/10/09 09:23:15 robbat2 Exp $
inherit eutils
@@ -142,7 +142,7 @@ src_compile() {
[ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) should exist!"
source "${TMPENVFILE}"
local myconf
- cd ${S}
+ cd "${S}"
einfo "Using '${AMANDA_DBMODE}' style database"
myconf="${myconf} --with-db=${AMANDA_DBMODE}"
@@ -232,11 +232,11 @@ src_install() {
source ${TMPENVFILE}
einfo "Doing stock install"
- make DESTDIR=${D} install || die
+ emake -j1 DESTDIR="${D}" install || die
# Prepare our custom files
einfo "Building custom configuration files"
- cp ${FILESDIR}/amanda-* ${MYFILESDIR}
+ cp "${FILESDIR}"/amanda-* "${MYFILESDIR}"
local i # our iterator
local sedexpr # var for sed expr
sedexpr=''
@@ -250,19 +250,21 @@ src_install() {
# now apply the sed expr
for i in "${FILESDIR}"/amanda-* ; do
local filename
- filename=`basename ${i}`
+ filename="`basename ${i}`"
#einfo "Applying compiled SED expression to ${filename}"
- sed -re "${sedexpr}" <${i} >"${MYFILESDIR}/${filename}"
+ sed -re "${sedexpr}" <"${i}" >"${MYFILESDIR}"/${filename}
done
# Build the envdir file
# Don't forget this..
einfo "Building environment file"
- echo "# These settings are what was present in the environment when this" >>${MYFILESDIR}/${ENVDFILE}
- echo "# Amanda was compiled. Changing anything below this comment will" >>${MYFILESDIR}/${ENVDFILE}
- echo "# have no effect on your application, but it merely exists to" >>${MYFILESDIR}/${ENVDFILE}
- echo "# preserve them for your next emerge of Amanda" >>${MYFILESDIR}/${ENVDFILE}
- cat ${TMPENVFILE} | sed "s,=\$,='',g" >>${MYFILESDIR}/${ENVDFILE}
+ local t
+ t="${MYFILESDIR}"/${ENVDFILE}
+ echo "# These settings are what was present in the environment when this" >>"${t}"
+ echo "# Amanda was compiled. Changing anything below this comment will" >>"${t}"
+ echo "# have no effect on your application, but it merely exists to" >>"${t}"
+ echo "# preserve them for your next emerge of Amanda" >>"${t}"
+ cat "${TMPENVFILE}" | sed "s,=\$,='',g" >>"${t}"
into /usr
@@ -275,35 +277,35 @@ src_install() {
dodoc AUTHORS C* INSTALL NEWS README
# Clean up some bits
dodoc /usr/share/amanda/*
- rm -rf ${D}/usr/share/amanda
- mkdir -p ${D}/${MYINSTTMPDIR} || die
- cp ${TMPENVFILE} "${D}/${TMPINSTENVFILE}" || die
+ rm -rf "${D}"/usr/share/amanda
+ mkdir -p "${D}"/${MYINSTTMPDIR} || die
+ cp "${TMPENVFILE}" "${D}"/${TMPINSTENVFILE} || die
# our inetd sample
einfo "Installing standard inetd sample"
- newdoc ${MYFILESDIR}/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
+ newdoc "${MYFILESDIR}"/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
# Stock extra docs
docinto docs
- dodoc ${S}/docs/*
+ dodoc "${S}"/docs/*
# Labels
einfo "Installing labels"
docinto labels
- dodoc ${S}/example/3hole.ps
- dodoc ${S}/example/8.5x11.ps
- dodoc ${S}/example/DIN-A4.ps
- dodoc ${S}/example/DLT.ps
- dodoc ${S}/example/EXB-8500.ps
- dodoc ${S}/example/HP-DAT.ps
+ dodoc "${S}"/example/3hole.ps
+ dodoc "${S}"/example/8.5x11.ps
+ dodoc "${S}"/example/DIN-A4.ps
+ dodoc "${S}"/example/DLT.ps
+ dodoc "${S}"/example/EXB-8500.ps
+ dodoc "${S}"/example/HP-DAT.ps
# Amanda example configs
einfo "Installing example configurations"
docinto example
- dodoc ${S}/example/*
+ dodoc "${S}"/example/*
docinto example1
- newdoc ${FILESDIR}/example_amanda.conf amanda.conf
- newdoc ${FILESDIR}/example_disklist-2.5.1_p3-r1 disklist
- newdoc ${FILESDIR}/example_global.conf global.conf
+ newdoc "${FILESDIR}"/example_amanda.conf amanda.conf
+ newdoc "${FILESDIR}"/example_disklist-2.5.1_p3-r1 disklist
+ newdoc "${FILESDIR}"/example_global.conf global.conf
docinto example2
- newdoc ${S}/example/amanda.conf amanda.conf
- newdoc ${S}/example/disklist disklist
+ newdoc "${S}"/example/amanda.conf amanda.conf
+ newdoc "${S}"/example/disklist disklist
# Compress it all
prepalldocs
@@ -313,21 +315,21 @@ src_install() {
insinto /etc/amanda
einfo "Installing .amandahosts File for ${AMANDA_USER_NAME} user"
- cat ${MYFILESDIR}/amanda-amandahosts-client-2.5.1_p3-r1 \
- >>${D}/etc/amanda/amandahosts
+ cat "${MYFILESDIR}"/amanda-amandahosts-client-2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
use minimal \
- || cat ${MYFILESDIR}/amanda-amandahosts-server-2.5.1_p3-r1 \
- >>${D}/etc/amanda/amandahosts
+ || cat "${MYFILESDIR}"/amanda-amandahosts-server-2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
- dosym /etc/amanda/amandahosts ${AMANDA_USER_HOMEDIR}/.amandahosts
- insinto ${AMANDA_USER_HOMEDIR}
+ dosym /etc/amanda/amandahosts "${AMANDA_USER_HOMEDIR}"/.amandahosts
+ insinto "${AMANDA_USER_HOMEDIR}"
einfo "Installing .profile for ${AMANDA_USER_NAME} user"
- newins ${MYFILESDIR}/amanda-profile .profile
+ newins "${MYFILESDIR}"/amanda-profile .profile
einfo "Installing Sample Daily Cron Job for Amanda"
CRONDIR=/etc/cron.daily/
exeinto ${CRONDIR}
- newexe ${MYFILESDIR}/amanda-cron amanda
+ newexe "${MYFILESDIR}"/amanda-cron amanda
# Not executable by default
fperms 644 ${CRONDIR}/amanda
@@ -348,37 +350,37 @@ src_install() {
done
einfo "Setting setuid permissions"
- amanda_permissions_fix ${D}
+ amanda_permissions_fix "${D}"
# DevFS
einfo "Installing DevFS config file"
insinto /etc/devfs.d
- newins ${MYFILESDIR}/amanda-devfs amanda
+ newins "${MYFILESDIR}"/amanda-devfs amanda
# Env.d
einfo "Installing environment config file"
- doenvd ${MYFILESDIR}/${ENVDFILE}
+ doenvd "${MYFILESDIR}"/${ENVDFILE}
# Installing Amanda Xinetd Services Definition
einfo "Installing xinetd service file"
insinto /etc/xinetd.d
- newins ${MYFILESDIR}/amanda-xinetd-2.5.1_p3-r1 amanda
+ newins "${MYFILESDIR}"/amanda-xinetd-2.5.1_p3-r1 amanda
}
pkg_postinst() {
- local aux="${ROOT}/${TMPINSTENVFILE}"
+ local aux="${ROOT}"/${TMPINSTENVFILE}
[ ! -f "${aux}" ] && die "Variable setting file (${aux}) should exist!"
source "${aux}"
rm "${aux}"
- rmdir ${ROOT}/${MYINSTTMPDIR} 2>/dev/null # ignore error
+ rmdir "${ROOT}"/${MYINSTTMPDIR} 2>/dev/null # ignore error
local i
for i in amandates dumpdates; do
einfo "Creating inital Amanda file (${i})"
- touch ${ROOT}/etc/${i}
- chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} ${ROOT}/etc/${i}
- chmod 600 ${ROOT}/etc/${i}
+ touch "${ROOT}"/etc/${i}
+ chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} "${ROOT}"/etc/${i}
+ chmod 600 "${ROOT}"/etc/${i}
done
# If USE=minimal, give out a warning, if AMANDA_SERVER is not set to
@@ -397,7 +399,7 @@ pkg_postinst() {
fi
einfo "Checking setuid permissions"
- amanda_permissions_fix ${ROOT}
+ amanda_permissions_fix "${ROOT}"
elog "You should configure Amanda in /etc/amanda now."
elog
@@ -432,7 +434,7 @@ amanda_permissions_fix() {
for i in /usr/sbin/amcheck /usr/libexec/calcsize /usr/libexec/killpgrp \
/usr/libexec/rundump /usr/libexec/runtar /usr/libexec/dumper \
/usr/libexec/planner ; do
- chown root:${AMANDA_GROUP_NAME} ${root}/${i}
- chmod u=srwx,g=rx,o= ${root}/${i}
+ chown root:${AMANDA_GROUP_NAME} "${root}"/${i}
+ chmod u=srwx,g=rx,o= "${root}"/${i}
done
}
diff --git a/app-backup/amanda/amanda-2.5.2_p1-r3.ebuild b/app-backup/amanda/amanda-2.5.2_p1-r3.ebuild
index 9a224b6c436f..79ba6ab651a2 100644
--- a/app-backup/amanda/amanda-2.5.2_p1-r3.ebuild
+++ b/app-backup/amanda/amanda-2.5.2_p1-r3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.2_p1-r3.ebuild,v 1.1 2007/09/06 20:35:34 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.2_p1-r3.ebuild,v 1.2 2007/10/09 09:23:15 robbat2 Exp $
inherit eutils
@@ -143,7 +143,7 @@ src_compile() {
[ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) should exist!"
source "${TMPENVFILE}"
local myconf
- cd ${S}
+ cd "${S}"
einfo "Using '${AMANDA_DBMODE}' style database"
myconf="${myconf} --with-db=${AMANDA_DBMODE}"
@@ -233,11 +233,11 @@ src_install() {
source ${TMPENVFILE}
einfo "Doing stock install"
- make DESTDIR=${D} install || die
+ emake -j1 DESTDIR="${D}" install || die
# Prepare our custom files
einfo "Building custom configuration files"
- cp ${FILESDIR}/amanda-* ${MYFILESDIR}
+ cp "${FILESDIR}"/amanda-* "${MYFILESDIR}"
local i # our iterator
local sedexpr # var for sed expr
sedexpr=''
@@ -251,19 +251,21 @@ src_install() {
# now apply the sed expr
for i in "${FILESDIR}"/amanda-* ; do
local filename
- filename=`basename ${i}`
+ filename="`basename ${i}`"
#einfo "Applying compiled SED expression to ${filename}"
- sed -re "${sedexpr}" <${i} >"${MYFILESDIR}/${filename}"
+ sed -re "${sedexpr}" <"${i}" >"${MYFILESDIR}"/${filename}
done
# Build the envdir file
# Don't forget this..
einfo "Building environment file"
- echo "# These settings are what was present in the environment when this" >>${MYFILESDIR}/${ENVDFILE}
- echo "# Amanda was compiled. Changing anything below this comment will" >>${MYFILESDIR}/${ENVDFILE}
- echo "# have no effect on your application, but it merely exists to" >>${MYFILESDIR}/${ENVDFILE}
- echo "# preserve them for your next emerge of Amanda" >>${MYFILESDIR}/${ENVDFILE}
- cat ${TMPENVFILE} | sed "s,=\$,='',g" >>${MYFILESDIR}/${ENVDFILE}
+ local t
+ t="${MYFILESDIR}"/${ENVDFILE}
+ echo "# These settings are what was present in the environment when this" >>"${t}"
+ echo "# Amanda was compiled. Changing anything below this comment will" >>"${t}"
+ echo "# have no effect on your application, but it merely exists to" >>"${t}"
+ echo "# preserve them for your next emerge of Amanda" >>"${t}"
+ cat "${TMPENVFILE}" | sed "s,=\$,='',g" >>"${t}"
into /usr
@@ -276,35 +278,35 @@ src_install() {
dodoc AUTHORS C* INSTALL NEWS README
# Clean up some bits
dodoc /usr/share/amanda/*
- rm -rf ${D}/usr/share/amanda
- mkdir -p ${D}/${MYINSTTMPDIR} || die
- cp ${TMPENVFILE} "${D}/${TMPINSTENVFILE}" || die
+ rm -rf "${D}"/usr/share/amanda
+ mkdir -p "${D}"/${MYINSTTMPDIR} || die
+ cp "${TMPENVFILE}" "${D}"/${TMPINSTENVFILE} || die
# our inetd sample
einfo "Installing standard inetd sample"
- newdoc ${MYFILESDIR}/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
+ newdoc "${MYFILESDIR}"/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
# Stock extra docs
docinto docs
- dodoc ${S}/docs/*
+ dodoc "${S}"/docs/*
# Labels
einfo "Installing labels"
docinto labels
- dodoc ${S}/example/3hole.ps
- dodoc ${S}/example/8.5x11.ps
- dodoc ${S}/example/DIN-A4.ps
- dodoc ${S}/example/DLT.ps
- dodoc ${S}/example/EXB-8500.ps
- dodoc ${S}/example/HP-DAT.ps
+ dodoc "${S}"/example/3hole.ps
+ dodoc "${S}"/example/8.5x11.ps
+ dodoc "${S}"/example/DIN-A4.ps
+ dodoc "${S}"/example/DLT.ps
+ dodoc "${S}"/example/EXB-8500.ps
+ dodoc "${S}"/example/HP-DAT.ps
# Amanda example configs
einfo "Installing example configurations"
docinto example
- dodoc ${S}/example/*
+ dodoc "${S}"/example/*
docinto example1
- newdoc ${FILESDIR}/example_amanda.conf amanda.conf
- newdoc ${FILESDIR}/example_disklist-2.5.1_p3-r1 disklist
- newdoc ${FILESDIR}/example_global.conf global.conf
+ newdoc "${FILESDIR}"/example_amanda.conf amanda.conf
+ newdoc "${FILESDIR}"/example_disklist-2.5.1_p3-r1 disklist
+ newdoc "${FILESDIR}"/example_global.conf global.conf
docinto example2
- newdoc ${S}/example/amanda.conf amanda.conf
- newdoc ${S}/example/disklist disklist
+ newdoc "${S}"/example/amanda.conf amanda.conf
+ newdoc "${S}"/example/disklist disklist
# Compress it all
prepalldocs
@@ -314,21 +316,21 @@ src_install() {
insinto /etc/amanda
einfo "Installing .amandahosts File for ${AMANDA_USER_NAME} user"
- cat ${MYFILESDIR}/amanda-amandahosts-client-2.5.1_p3-r1 \
- >>${D}/etc/amanda/amandahosts
+ cat "${MYFILESDIR}"/amanda-amandahosts-client-2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
use minimal \
- || cat ${MYFILESDIR}/amanda-amandahosts-server-2.5.1_p3-r1 \
- >>${D}/etc/amanda/amandahosts
+ || cat "${MYFILESDIR}"/amanda-amandahosts-server-2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
- dosym /etc/amanda/amandahosts ${AMANDA_USER_HOMEDIR}/.amandahosts
- insinto ${AMANDA_USER_HOMEDIR}
+ dosym /etc/amanda/amandahosts "${AMANDA_USER_HOMEDIR}"/.amandahosts
+ insinto "${AMANDA_USER_HOMEDIR}"
einfo "Installing .profile for ${AMANDA_USER_NAME} user"
- newins ${MYFILESDIR}/amanda-profile .profile
+ newins "${MYFILESDIR}"/amanda-profile .profile
einfo "Installing Sample Daily Cron Job for Amanda"
CRONDIR=/etc/cron.daily/
exeinto ${CRONDIR}
- newexe ${MYFILESDIR}/amanda-cron amanda
+ newexe "${MYFILESDIR}"/amanda-cron amanda
# Not executable by default
fperms 644 ${CRONDIR}/amanda
@@ -349,37 +351,37 @@ src_install() {
done
einfo "Setting setuid permissions"
- amanda_permissions_fix ${D}
+ amanda_permissions_fix "${D}"
# DevFS
einfo "Installing DevFS config file"
insinto /etc/devfs.d
- newins ${MYFILESDIR}/amanda-devfs amanda
+ newins "${MYFILESDIR}"/amanda-devfs amanda
# Env.d
einfo "Installing environment config file"
- doenvd ${MYFILESDIR}/${ENVDFILE}
+ doenvd "${MYFILESDIR}"/${ENVDFILE}
# Installing Amanda Xinetd Services Definition
einfo "Installing xinetd service file"
insinto /etc/xinetd.d
- newins ${MYFILESDIR}/amanda-xinetd-2.5.1_p3-r1 amanda
+ newins "${MYFILESDIR}"/amanda-xinetd-2.5.1_p3-r1 amanda
}
pkg_postinst() {
- local aux="${ROOT}/${TMPINSTENVFILE}"
+ local aux="${ROOT}"/${TMPINSTENVFILE}
[ ! -f "${aux}" ] && die "Variable setting file (${aux}) should exist!"
source "${aux}"
rm "${aux}"
- rmdir ${ROOT}/${MYINSTTMPDIR} 2>/dev/null # ignore error
+ rmdir "${ROOT}"/${MYINSTTMPDIR} 2>/dev/null # ignore error
local i
for i in amandates dumpdates; do
einfo "Creating inital Amanda file (${i})"
- touch ${ROOT}/etc/${i}
- chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} ${ROOT}/etc/${i}
- chmod 600 ${ROOT}/etc/${i}
+ touch "${ROOT}"/etc/${i}
+ chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} "${ROOT}"/etc/${i}
+ chmod 600 "${ROOT}"/etc/${i}
done
# If USE=minimal, give out a warning, if AMANDA_SERVER is not set to
@@ -398,7 +400,7 @@ pkg_postinst() {
fi
einfo "Checking setuid permissions"
- amanda_permissions_fix ${ROOT}
+ amanda_permissions_fix "${ROOT}"
elog "You should configure Amanda in /etc/amanda now."
elog
@@ -433,7 +435,7 @@ amanda_permissions_fix() {
for i in /usr/sbin/amcheck /usr/libexec/calcsize /usr/libexec/killpgrp \
/usr/libexec/rundump /usr/libexec/runtar /usr/libexec/dumper \
/usr/libexec/planner ; do
- chown root:${AMANDA_GROUP_NAME} ${root}/${i}
- chmod u=srwx,g=rx,o= ${root}/${i}
+ chown root:${AMANDA_GROUP_NAME} "${root}"/${i}
+ chmod u=srwx,g=rx,o= "${root}"/${i}
done
}
diff --git a/app-backup/amanda/amanda-2.5.2_p1.ebuild b/app-backup/amanda/amanda-2.5.2_p1.ebuild
index b91ffca6ea95..0eb40d5b0b95 100644
--- a/app-backup/amanda/amanda-2.5.2_p1.ebuild
+++ b/app-backup/amanda/amanda-2.5.2_p1.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.2_p1.ebuild,v 1.1 2007/07/20 09:58:12 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/amanda/amanda-2.5.2_p1.ebuild,v 1.2 2007/10/09 09:23:15 robbat2 Exp $
inherit eutils
@@ -126,7 +126,7 @@ src_compile() {
[ ! -f "${TMPENVFILE}" ] && die "Variable setting file (${TMPENVFILE}) should exist!"
source "${TMPENVFILE}"
local myconf
- cd ${S}
+ cd "${S}"
einfo "Using '${AMANDA_DBMODE}' style database"
myconf="${myconf} --with-db=${AMANDA_DBMODE}"
@@ -217,11 +217,11 @@ src_install() {
source ${TMPENVFILE}
einfo "Doing stock install"
- make DESTDIR=${D} install || die
+ emake -j1 DESTDIR="${D}" install || die
# Prepare our custom files
einfo "Building custom configuration files"
- cp ${FILESDIR}/amanda-* ${MYFILESDIR}
+ cp "${FILESDIR}"/amanda-* "${MYFILESDIR}"
local i # our iterator
local sedexpr # var for sed expr
sedexpr=''
@@ -240,19 +240,21 @@ src_install() {
# now apply the sed expr
for i in "${FILESDIR}"/amanda-* ; do
local filename
- filename=`basename ${i}`
+ filename="`basename ${i}`"
#einfo "Applying compiled SED expression to ${filename}"
- sed -re "${sedexpr}" <${i} >"${MYFILESDIR}/${filename}"
+ sed -re "${sedexpr}" <"${i}" >"${MYFILESDIR}"/${filename}
done
# Build the envdir file
# Don't forget this..
einfo "Building environment file"
- echo "# These settings are what was present in the environment when this" >>${MYFILESDIR}/${ENVDFILE}
- echo "# Amanda was compiled. Changing anything below this comment will" >>${MYFILESDIR}/${ENVDFILE}
- echo "# have no effect on your application, but it merely exists to" >>${MYFILESDIR}/${ENVDFILE}
- echo "# preserve them for your next emerge of Amanda" >>${MYFILESDIR}/${ENVDFILE}
- cat ${TMPENVFILE} | sed "s,=\$,='',g" >>${MYFILESDIR}/${ENVDFILE}
+ local t
+ t="${MYFILESDIR}"/${ENVDFILE}
+ echo "# These settings are what was present in the environment when this" >>"${t}"
+ echo "# Amanda was compiled. Changing anything below this comment will" >>"${t}"
+ echo "# have no effect on your application, but it merely exists to" >>"${t}"
+ echo "# preserve them for your next emerge of Amanda" >>"${t}"
+ cat "${TMPENVFILE}" | sed "s,=\$,='',g" >>"${t}"
into /usr
@@ -265,35 +267,35 @@ src_install() {
dodoc AUTHORS C* INSTALL NEWS README
# Clean up some bits
dodoc /usr/share/amanda/*
- rm -rf ${D}/usr/share/amanda
- mkdir -p ${D}/${MYINSTTMPDIR} || die
- cp ${TMPENVFILE} "${D}/${TMPINSTENVFILE}" || die
+ rm -rf "${D}"/usr/share/amanda
+ mkdir -p "${D}"/${MYINSTTMPDIR} || die
+ cp "${TMPENVFILE}" "${D}"/${TMPINSTENVFILE} || die
# our inetd sample
einfo "Installing standard inetd sample"
- newdoc ${MYFILESDIR}/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
+ newdoc "${MYFILESDIR}"/amanda-inetd.amanda.sample-2.5.1_p3-r1 amanda-inetd.amanda.sample
# Stock extra docs
docinto docs
- dodoc ${S}/docs/*
+ dodoc "${S}"/docs/*
# Labels
einfo "Installing labels"
docinto labels
- dodoc ${S}/example/3hole.ps
- dodoc ${S}/example/8.5x11.ps
- dodoc ${S}/example/DIN-A4.ps
- dodoc ${S}/example/DLT.ps
- dodoc ${S}/example/EXB-8500.ps
- dodoc ${S}/example/HP-DAT.ps
+ dodoc "${S}"/example/3hole.ps
+ dodoc "${S}"/example/8.5x11.ps
+ dodoc "${S}"/example/DIN-A4.ps
+ dodoc "${S}"/example/DLT.ps
+ dodoc "${S}"/example/EXB-8500.ps
+ dodoc "${S}"/example/HP-DAT.ps
# Amanda example configs
einfo "Installing example configurations"
docinto example
- dodoc ${S}/example/*
+ dodoc "${S}"/example/*
docinto example1
- newdoc ${FILESDIR}/example_amanda.conf amanda.conf
- newdoc ${FILESDIR}/example_disklist-2.5.1_p3-r1 disklist
- newdoc ${FILESDIR}/example_global.conf global.conf
+ newdoc "${FILESDIR}"/example_amanda.conf amanda.conf
+ newdoc "${FILESDIR}"/example_disklist-2.5.1_p3-r1 disklist
+ newdoc "${FILESDIR}"/example_global.conf global.conf
docinto example2
- newdoc ${S}/example/amanda.conf amanda.conf
- newdoc ${S}/example/disklist disklist
+ newdoc "${S}"/example/amanda.conf amanda.conf
+ newdoc "${S}"/example/disklist disklist
# Compress it all
prepalldocs
@@ -303,21 +305,21 @@ src_install() {
insinto /etc/amanda
einfo "Installing .amandahosts File for ${AMANDA_USER_NAME} user"
- cat ${FILESDIR}/amanda-amandahosts-client-2.5.1_p3-r1 \
- >>${D}/etc/amanda/amandahosts
+ cat "${FILESDIR}"/amanda-amandahosts-client-2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
use minimal \
- || cat ${FILESDIR}/amanda-amandahosts-server2.5.1_p3-r1 \
- >>${D}/etc/amanda/amandahosts
+ || cat "${FILESDIR}"/amanda-amandahosts-server2.5.1_p3-r1 \
+ >>"${D}"/etc/amanda/amandahosts
dosym /etc/amanda/amandahosts ${AMANDA_USER_HOMEDIR}/.amandahosts
- insinto ${AMANDA_USER_HOMEDIR}
+ insinto "${AMANDA_USER_HOMEDIR}"
einfo "Installing .profile for ${AMANDA_USER_NAME} user"
- newins ${MYFILESDIR}/amanda-profile .profile
+ newins "${MYFILESDIR}"/amanda-profile .profile
einfo "Installing Sample Daily Cron Job for Amanda"
CRONDIR=/etc/cron.daily/
exeinto ${CRONDIR}
- newexe ${MYFILESDIR}/amanda-cron amanda
+ newexe "${MYFILESDIR}"/amanda-cron amanda
# Not executable by default
fperms 644 ${CRONDIR}/amanda
@@ -338,37 +340,37 @@ src_install() {
done
einfo "Setting setuid permissions"
- amanda_permissions_fix ${D}
+ amanda_permissions_fix "${D}"
# DevFS
einfo "Installing DevFS config file"
insinto /etc/devfs.d
- newins ${MYFILESDIR}/amanda-devfs amanda
+ newins "${MYFILESDIR}"/amanda-devfs amanda
# Env.d
einfo "Installing environment config file"
- doenvd ${MYFILESDIR}/${ENVDFILE}
+ doenvd "${MYFILESDIR}"/${ENVDFILE}
# Installing Amanda Xinetd Services Definition
einfo "Installing xinetd service file"
insinto /etc/xinetd.d
- newins ${MYFILESDIR}/amanda-xinetd-2.5.1_p3-r1 amanda
+ newins "${MYFILESDIR}"/amanda-xinetd-2.5.1_p3-r1 amanda
}
pkg_postinst() {
- local aux="${ROOT}/${TMPINSTENVFILE}"
+ local aux="${ROOT}"/${TMPINSTENVFILE}
[ ! -f "${aux}" ] && die "Variable setting file (${aux}) should exist!"
source "${aux}"
rm "${aux}"
- rmdir ${ROOT}/${MYINSTTMPDIR} 2>/dev/null # ignore error
+ rmdir "${ROOT}"/${MYINSTTMPDIR} 2>/dev/null # ignore error
local i
for i in amandates dumpdates; do
einfo "Creating inital Amanda file (${i})"
- touch ${ROOT}/etc/${i}
- chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} ${ROOT}/etc/${i}
- chmod 600 ${ROOT}/etc/${i}
+ touch "${ROOT}"/etc/${i}
+ chown ${AMANDA_USER_NAME}:${AMANDA_GROUP_NAME} "${ROOT}"/etc/${i}
+ chmod 600 "${ROOT}"/etc/${i}
done
# If USE=minimal, give out a warning, if AMANDA_SERVER is not set to
@@ -387,7 +389,7 @@ pkg_postinst() {
fi
einfo "Checking setuid permissions"
- amanda_permissions_fix ${ROOT}
+ amanda_permissions_fix "${ROOT}"
elog "You should configure Amanda in /etc/amanda now."
elog
@@ -422,7 +424,7 @@ amanda_permissions_fix() {
for i in /usr/sbin/amcheck /usr/libexec/calcsize /usr/libexec/killpgrp \
/usr/libexec/rundump /usr/libexec/runtar /usr/libexec/dumper \
/usr/libexec/planner ; do
- chown root:${AMANDA_GROUP_NAME} ${root}/${i}
- chmod u=srwx,g=rx,o= ${root}/${i}
+ chown root:${AMANDA_GROUP_NAME} "${root}"/${i}
+ chmod u=srwx,g=rx,o= "${root}"/${i}
done
}